Re: [gentoo-dev] News item v2: Python 3.7 to become the default target

2020-04-22 Thread Michał Górny
On Wed, 2020-04-22 at 10:50 +0200, Martin Gysel wrote: > Am 21.04.20 um 07:56 schrieb Michał Górny: > > In order to improve stability of the upgrade, you may choose to > > temporarily enable both targets, i.e. set in /etc/portage/package.use > > or its equivalent: > > > > PYTHON_TARGETS:

Re: [gentoo-dev] News item v2: Python 3.7 to become the default target

2020-04-22 Thread Martin Gysel
Am 21.04.20 um 07:56 schrieb Michał Górny: > In order to improve stability of the upgrade, you may choose to > temporarily enable both targets, i.e. set in /etc/portage/package.use > or its equivalent: > > PYTHON_TARGETS: python3_6 python3_7 > PYTHON_SINGLE_TARGET: -* python3_6 if I put

Re: [gentoo-dev] News item v2: Python 3.7 to become the default target

2020-04-21 Thread Michał Górny
On Tue, 2020-04-21 at 13:50 -0500, John Helmert III wrote: > On Tue, Apr 21, 2020 at 07:56:16AM +0200, Michał Górny wrote: > > Display-If-Installed: dev-lang/python:3.6 > > > > On 2020-05-06 (or later), Python 3.7 will replace Python 3.6 as one > > of the default Python targets for Gentoo

Re: [gentoo-dev] News item v2: Python 3.7 to become the default target

2020-04-21 Thread John Helmert III
On Tue, Apr 21, 2020 at 07:56:16AM +0200, Michał Górny wrote: > Display-If-Installed: dev-lang/python:3.6 > > On 2020-05-06 (or later), Python 3.7 will replace Python 3.6 as one > of the default Python targets for Gentoo systems. The new default > values will be: > >

Re: [gentoo-dev] News item v2: Python 3.7 to become the default target

2020-04-21 Thread Michał Górny
On Tue, 2020-04-21 at 08:58 +0200, Ulrich Mueller wrote: > > > > > > On Tue, 21 Apr 2020, Michał Górny wrote: > > Please note that during the system upgrade some of the package > > dependencies may temporarily become missing. While this should not > > should not affect programs that are already

Re: [gentoo-dev] News item v2: Python 3.7 to become the default target

2020-04-21 Thread Ulrich Mueller
> On Tue, 21 Apr 2020, Michał Górny wrote: > Please note that during the system upgrade some of the package > dependencies may temporarily become missing. While this should not > should not affect programs that are already fully loaded, it may cause "should not" should not be duplicate.

[gentoo-dev] News item v2: Python 3.7 to become the default target

2020-04-20 Thread Michał Górny
Hi, Here's v2 following IRC feedback and some rereading. Changes: - pushed the date forward (it will be 2 weeks after publishing the news item) and indicated that it may happen later. - did some more grammar improvements. - switched snippets to use package.use as make.conf breaks IUSE